# fluid_gen_t Struct Reference

SoundFont generator structure. More...

## Data Fields

unsigned char | flags
| Is the generator set or not (fluid_gen_flags).
double | val
| The nominal value.
double | mod
| Change by modulators.
double | nrpn
| Change by NRPN messages.

## Detailed Description

SoundFont generator structure.

Definition at line 109 of file gen.h.

The documentation for this struct was generated from the following file:

- include/fluidsynth/gen.h